import 'package:flutter_test/flutter_test.dart';
import 'package:fl_drag_picture/fl_drag_picture.dart';
import 'package:fl_drag_picture/fl_drag_picture_platform_interface.dart';
import 'package:fl_drag_picture/fl_drag_picture_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockFlDragPicturePlatform
    with MockPlatformInterfaceMixin
    implements FlDragPicturePlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final FlDragPicturePlatform initialPlatform = FlDragPicturePlatform.instance;

  test('$MethodChannelFlDragPicture is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelFlDragPicture>());
  });

  test('getPlatformVersion', () async {
    FlDragPicture flDragPicturePlugin = FlDragPicture();
    MockFlDragPicturePlatform fakePlatform = MockFlDragPicturePlatform();
    FlDragPicturePlatform.instance = fakePlatform;

    // expect(await flDragPicturePlugin.getPlatformVersion(), '42');
  });
}
